Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1511)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.Designer.cs	(revision 1512)
@@ -24,574 +24,576 @@
     /// </summary>
     private void InitializeComponent() {
-        this.components = new System.ComponentModel.Container();
-        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveServerManagementConsole));
-        this.menuStrip1 = new System.Windows.Forms.MenuStrip();
-        this.informationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-        this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-        this.addToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-        this.jobToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-        this.ilClientControl = new System.Windows.Forms.ImageList(this.components);
-        this.ilJobControl = new System.Windows.Forms.ImageList(this.components);
-        this.ilUserControl = new System.Windows.Forms.ImageList(this.components);
-        this.plClientDetails = new System.Windows.Forms.Panel();
-        this.lblState = new System.Windows.Forms.Label();
-        this.lblStateClient = new System.Windows.Forms.Label();
-        this.lblLogin = new System.Windows.Forms.Label();
-        this.lblLoginOn = new System.Windows.Forms.Label();
-        this.lblClientName = new System.Windows.Forms.Label();
-        this.pbClientControl = new System.Windows.Forms.PictureBox();
-        this.plUserDetails = new System.Windows.Forms.Panel();
-        this.lblUserName = new System.Windows.Forms.Label();
-        this.btnUserControlClose = new System.Windows.Forms.Button();
-        this.pbUserControl = new System.Windows.Forms.PictureBox();
-        this.plJobDetails = new System.Windows.Forms.Panel();
-        this.lvSnapshots = new System.Windows.Forms.ListView();
-        this.chJobId = new System.Windows.Forms.ColumnHeader();
-        this.chTimeCalculated = new System.Windows.Forms.ColumnHeader();
-        this.chProgress = new System.Windows.Forms.ColumnHeader();
-        this.lblPriorityJob = new System.Windows.Forms.Label();
-        this.lblParentJob = new System.Windows.Forms.Label();
-        this.lblClientCalculating = new System.Windows.Forms.Label();
-        this.lblJobCalculationEnd = new System.Windows.Forms.Label();
-        this.lblJobCalculationBegin = new System.Windows.Forms.Label();
-        this.lblJobCreated = new System.Windows.Forms.Label();
-        this.lblUserCreatedJob = new System.Windows.Forms.Label();
-        this.lblProgress = new System.Windows.Forms.Label();
-        this.lblStatus = new System.Windows.Forms.Label();
-        this.progressJob = new System.Windows.Forms.ProgressBar();
-        this.lblJobName = new System.Windows.Forms.Label();
-        this.pbJobControl = new System.Windows.Forms.PictureBox();
-        this.treeView2 = new System.Windows.Forms.TreeView();
-        this.listView2 = new System.Windows.Forms.ListView();
-        this.timerSyncronize = new System.Windows.Forms.Timer(this.components);
-        this.fileSystemWatcher1 = new System.IO.FileSystemWatcher();
-        this.updaterWoker = new System.ComponentModel.BackgroundWorker();
-        this.tpJobControl = new System.Windows.Forms.TabPage();
-        this.scJobControl = new System.Windows.Forms.SplitContainer();
-        this.lvJobControl = new System.Windows.Forms.ListView();
-        this.tpClientControl = new System.Windows.Forms.TabPage();
-        this.scClientControl = new System.Windows.Forms.SplitContainer();
-        this.lvClientControl = new System.Windows.Forms.ListView();
-        this.tcManagementConsole = new System.Windows.Forms.TabControl();
-        this.checkBox1 = new System.Windows.Forms.CheckBox();
-        this.menuStrip1.SuspendLayout();
-        this.plClientDetails.SuspendLayout();
-        ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).BeginInit();
-        this.plUserDetails.SuspendLayout();
-        ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).BeginInit();
-        this.plJobDetails.SuspendLayout();
-        ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).BeginInit();
-        ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).BeginInit();
-        this.tpJobControl.SuspendLayout();
-        this.scJobControl.Panel1.SuspendLayout();
-        this.scJobControl.Panel2.SuspendLayout();
-        this.scJobControl.SuspendLayout();
-        this.tpClientControl.SuspendLayout();
-        this.scClientControl.Panel1.SuspendLayout();
-        this.scClientControl.Panel2.SuspendLayout();
-        this.scClientControl.SuspendLayout();
-        this.tcManagementConsole.SuspendLayout();
-        this.SuspendLayout();
-        // 
-        // menuStrip1
-        // 
-        this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+      this.components = new System.ComponentModel.Container();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveServerManagementConsole));
+      this.menuStrip1 = new System.Windows.Forms.MenuStrip();
+      this.informationToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.closeToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.addToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.jobToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.ilClientControl = new System.Windows.Forms.ImageList(this.components);
+      this.ilJobControl = new System.Windows.Forms.ImageList(this.components);
+      this.ilUserControl = new System.Windows.Forms.ImageList(this.components);
+      this.plClientDetails = new System.Windows.Forms.Panel();
+      this.lblState = new System.Windows.Forms.Label();
+      this.lblStateClient = new System.Windows.Forms.Label();
+      this.lblLogin = new System.Windows.Forms.Label();
+      this.lblLoginOn = new System.Windows.Forms.Label();
+      this.lblClientName = new System.Windows.Forms.Label();
+      this.pbClientControl = new System.Windows.Forms.PictureBox();
+      this.plUserDetails = new System.Windows.Forms.Panel();
+      this.lblUserName = new System.Windows.Forms.Label();
+      this.btnUserControlClose = new System.Windows.Forms.Button();
+      this.pbUserControl = new System.Windows.Forms.PictureBox();
+      this.plJobDetails = new System.Windows.Forms.Panel();
+      this.lvSnapshots = new System.Windows.Forms.ListView();
+      this.chJobId = new System.Windows.Forms.ColumnHeader();
+      this.chTimeCalculated = new System.Windows.Forms.ColumnHeader();
+      this.chProgress = new System.Windows.Forms.ColumnHeader();
+      this.lblPriorityJob = new System.Windows.Forms.Label();
+      this.lblParentJob = new System.Windows.Forms.Label();
+      this.lblClientCalculating = new System.Windows.Forms.Label();
+      this.lblJobCalculationEnd = new System.Windows.Forms.Label();
+      this.lblJobCalculationBegin = new System.Windows.Forms.Label();
+      this.lblJobCreated = new System.Windows.Forms.Label();
+      this.lblUserCreatedJob = new System.Windows.Forms.Label();
+      this.lblProgress = new System.Windows.Forms.Label();
+      this.lblStatus = new System.Windows.Forms.Label();
+      this.progressJob = new System.Windows.Forms.ProgressBar();
+      this.lblJobName = new System.Windows.Forms.Label();
+      this.pbJobControl = new System.Windows.Forms.PictureBox();
+      this.treeView2 = new System.Windows.Forms.TreeView();
+      this.listView2 = new System.Windows.Forms.ListView();
+      this.timerSyncronize = new System.Windows.Forms.Timer(this.components);
+      this.fileSystemWatcher1 = new System.IO.FileSystemWatcher();
+      this.updaterWoker = new System.ComponentModel.BackgroundWorker();
+      this.tpJobControl = new System.Windows.Forms.TabPage();
+      this.scJobControl = new System.Windows.Forms.SplitContainer();
+      this.lvJobControl = new System.Windows.Forms.ListView();
+      this.tpClientControl = new System.Windows.Forms.TabPage();
+      this.scClientControl = new System.Windows.Forms.SplitContainer();
+      this.lvClientControl = new System.Windows.Forms.ListView();
+      this.tcManagementConsole = new System.Windows.Forms.TabControl();
+      this.checkBox1 = new System.Windows.Forms.CheckBox();
+      this.menuStrip1.SuspendLayout();
+      this.plClientDetails.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).BeginInit();
+      this.plUserDetails.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).BeginInit();
+      this.plJobDetails.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).BeginInit();
+      this.tpJobControl.SuspendLayout();
+      this.scJobControl.Panel1.SuspendLayout();
+      this.scJobControl.Panel2.SuspendLayout();
+      this.scJobControl.SuspendLayout();
+      this.tpClientControl.SuspendLayout();
+      this.scClientControl.Panel1.SuspendLayout();
+      this.scClientControl.Panel2.SuspendLayout();
+      this.scClientControl.SuspendLayout();
+      this.tcManagementConsole.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // menuStrip1
+      // 
+      this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.informationToolStripMenuItem,
             this.addToolStripMenuItem});
-        this.menuStrip1.Location = new System.Drawing.Point(0, 0);
-        this.menuStrip1.Name = "menuStrip1";
-        this.menuStrip1.Size = new System.Drawing.Size(893, 24);
-        this.menuStrip1.TabIndex = 0;
-        this.menuStrip1.Text = "menuStrip1";
-        // 
-        // informationToolStripMenuItem
-        // 
-        this.informationToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+      this.menuStrip1.Location = new System.Drawing.Point(0, 0);
+      this.menuStrip1.Name = "menuStrip1";
+      this.menuStrip1.Size = new System.Drawing.Size(893, 24);
+      this.menuStrip1.TabIndex = 0;
+      this.menuStrip1.Text = "menuStrip1";
+      // 
+      // informationToolStripMenuItem
+      // 
+      this.informationToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.closeToolStripMenuItem});
-        this.informationToolStripMenuItem.Name = "informationToolStripMenuItem";
-        this.informationToolStripMenuItem.Size = new System.Drawing.Size(90, 20);
-        this.informationToolStripMenuItem.Text = "Management";
-        // 
-        // closeToolStripMenuItem
-        // 
-        this.closeToolStripMenuItem.Name = "closeToolStripMenuItem";
-        this.closeToolStripMenuItem.Size = new System.Drawing.Size(103, 22);
-        this.closeToolStripMenuItem.Text = "Close";
-        this.closeToolStripMenuItem.Click += new System.EventHandler(this.Close_Click);
-        // 
-        // addToolStripMenuItem
-        // 
-        this.addToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+      this.informationToolStripMenuItem.Name = "informationToolStripMenuItem";
+      this.informationToolStripMenuItem.Size = new System.Drawing.Size(81, 20);
+      this.informationToolStripMenuItem.Text = "Management";
+      // 
+      // closeToolStripMenuItem
+      // 
+      this.closeToolStripMenuItem.Name = "closeToolStripMenuItem";
+      this.closeToolStripMenuItem.Size = new System.Drawing.Size(111, 22);
+      this.closeToolStripMenuItem.Text = "Close";
+      this.closeToolStripMenuItem.Click += new System.EventHandler(this.Close_Click);
+      // 
+      // addToolStripMenuItem
+      // 
+      this.addToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.jobToolStripMenuItem});
-        this.addToolStripMenuItem.Name = "addToolStripMenuItem";
-        this.addToolStripMenuItem.Size = new System.Drawing.Size(41, 20);
-        this.addToolStripMenuItem.Text = "Add";
-        // 
-        // jobToolStripMenuItem
-        // 
-        this.jobToolStripMenuItem.Name = "jobToolStripMenuItem";
-        this.jobToolStripMenuItem.Size = new System.Drawing.Size(92, 22);
-        this.jobToolStripMenuItem.Text = "Job";
-        this.jobToolStripMenuItem.Click += new System.EventHandler(this.AddJob_Click);
-        // 
-        // ilClientControl
-        // 
-        this.ilClientControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilClientControl.ImageStream")));
-        this.ilClientControl.TransparentColor = System.Drawing.Color.Transparent;
-        this.ilClientControl.Images.SetKeyName(0, "monitor-green.png");
-        this.ilClientControl.Images.SetKeyName(1, "monitor-orange.png");
-        this.ilClientControl.Images.SetKeyName(2, "monitor-red.png");
-        this.ilClientControl.Images.SetKeyName(3, "monitor-gray.png");
-        // 
-        // ilJobControl
-        // 
-        this.ilJobControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilJobControl.ImageStream")));
-        this.ilJobControl.TransparentColor = System.Drawing.Color.Transparent;
-        this.ilJobControl.Images.SetKeyName(0, "PlayHS.png");
-        // 
-        // ilUserControl
-        // 
-        this.ilUserControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilUserControl.ImageStream")));
-        this.ilUserControl.TransparentColor = System.Drawing.Color.Transparent;
-        this.ilUserControl.Images.SetKeyName(0, "Users.png");
-        // 
-        // plClientDetails
-        // 
-        this.plClientDetails.BackColor = System.Drawing.SystemColors.Window;
-        this.plClientDetails.Controls.Add(this.lblState);
-        this.plClientDetails.Controls.Add(this.lblStateClient);
-        this.plClientDetails.Controls.Add(this.lblLogin);
-        this.plClientDetails.Controls.Add(this.lblLoginOn);
-        this.plClientDetails.Controls.Add(this.lblClientName);
-        this.plClientDetails.Controls.Add(this.pbClientControl);
-        this.plClientDetails.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.plClientDetails.Location = new System.Drawing.Point(0, 0);
-        this.plClientDetails.Name = "plClientDetails";
-        this.plClientDetails.Size = new System.Drawing.Size(421, 386);
-        this.plClientDetails.TabIndex = 1;
-        // 
-        // lblState
-        // 
-        this.lblState.AutoSize = true;
-        this.lblState.Location = new System.Drawing.Point(103, 76);
-        this.lblState.Name = "lblState";
-        this.lblState.Size = new System.Drawing.Size(42, 13);
-        this.lblState.TabIndex = 6;
-        this.lblState.Text = "lblState";
-        // 
-        // lblStateClient
-        // 
-        this.lblStateClient.AutoSize = true;
-        this.lblStateClient.Location = new System.Drawing.Point(29, 76);
-        this.lblStateClient.Name = "lblStateClient";
-        this.lblStateClient.Size = new System.Drawing.Size(32, 13);
-        this.lblStateClient.TabIndex = 5;
-        this.lblStateClient.Text = "State";
-        // 
-        // lblLogin
-        // 
-        this.lblLogin.AutoSize = true;
-        this.lblLogin.Location = new System.Drawing.Point(100, 55);
-        this.lblLogin.Name = "lblLogin";
-        this.lblLogin.Size = new System.Drawing.Size(43, 13);
-        this.lblLogin.TabIndex = 4;
-        this.lblLogin.Text = "lblLogin";
-        // 
-        // lblLoginOn
-        // 
-        this.lblLoginOn.AutoSize = true;
-        this.lblLoginOn.Location = new System.Drawing.Point(29, 55);
-        this.lblLoginOn.Name = "lblLoginOn";
-        this.lblLoginOn.Size = new System.Drawing.Size(69, 13);
-        this.lblLoginOn.TabIndex = 3;
-        this.lblLoginOn.Text = "last logged in";
-        // 
-        // lblClientName
-        // 
-        this.lblClientName.AutoSize = true;
-        this.lblClientName.Location = new System.Drawing.Point(41, 14);
-        this.lblClientName.Name = "lblClientName";
-        this.lblClientName.Size = new System.Drawing.Size(71, 13);
-        this.lblClientName.TabIndex = 2;
-        this.lblClientName.Text = "lblClientName";
-        // 
-        // pbClientControl
-        // 
-        this.pbClientControl.Location = new System.Drawing.Point(3, 4);
-        this.pbClientControl.Name = "pbClientControl";
-        this.pbClientControl.Size = new System.Drawing.Size(32, 32);
-        this.pbClientControl.TabIndex = 0;
-        this.pbClientControl.TabStop = false;
-        // 
-        // plUserDetails
-        // 
-        this.plUserDetails.BackColor = System.Drawing.SystemColors.Window;
-        this.plUserDetails.Controls.Add(this.lblUserName);
-        this.plUserDetails.Controls.Add(this.btnUserControlClose);
-        this.plUserDetails.Controls.Add(this.pbUserControl);
-        this.plUserDetails.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.plUserDetails.Location = new System.Drawing.Point(0, 0);
-        this.plUserDetails.Name = "plUserDetails";
-        this.plUserDetails.Size = new System.Drawing.Size(494, 346);
-        this.plUserDetails.TabIndex = 2;
-        // 
-        // lblUserName
-        // 
-        this.lblUserName.AutoSize = true;
-        this.lblUserName.Location = new System.Drawing.Point(41, 13);
-        this.lblUserName.Name = "lblUserName";
-        this.lblUserName.Size = new System.Drawing.Size(67, 13);
-        this.lblUserName.TabIndex = 5;
-        this.lblUserName.Text = "lblUserName";
-        // 
-        // btnUserControlClose
-        // 
-        this.btnUserControlClose.Location = new System.Drawing.Point(414, 3);
-        this.btnUserControlClose.Name = "btnUserControlClose";
-        this.btnUserControlClose.Size = new System.Drawing.Size(75, 23);
-        this.btnUserControlClose.TabIndex = 4;
-        this.btnUserControlClose.Text = "Close";
-        this.btnUserControlClose.UseVisualStyleBackColor = true;
-        // 
-        // pbUserControl
-        // 
-        this.pbUserControl.Location = new System.Drawing.Point(3, 3);
-        this.pbUserControl.Name = "pbUserControl";
-        this.pbUserControl.Size = new System.Drawing.Size(32, 32);
-        this.pbUserControl.TabIndex = 3;
-        this.pbUserControl.TabStop = false;
-        // 
-        // plJobDetails
-        // 
-        this.plJobDetails.BackColor = System.Drawing.SystemColors.Window;
-        this.plJobDetails.Controls.Add(this.lvSnapshots);
-        this.plJobDetails.Controls.Add(this.lblPriorityJob);
-        this.plJobDetails.Controls.Add(this.lblParentJob);
-        this.plJobDetails.Controls.Add(this.lblClientCalculating);
-        this.plJobDetails.Controls.Add(this.lblJobCalculationEnd);
-        this.plJobDetails.Controls.Add(this.lblJobCalculationBegin);
-        this.plJobDetails.Controls.Add(this.lblJobCreated);
-        this.plJobDetails.Controls.Add(this.lblUserCreatedJob);
-        this.plJobDetails.Controls.Add(this.lblProgress);
-        this.plJobDetails.Controls.Add(this.lblStatus);
-        this.plJobDetails.Controls.Add(this.progressJob);
-        this.plJobDetails.Controls.Add(this.lblJobName);
-        this.plJobDetails.Controls.Add(this.pbJobControl);
-        this.plJobDetails.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.plJobDetails.Location = new System.Drawing.Point(0, 0);
-        this.plJobDetails.Name = "plJobDetails";
-        this.plJobDetails.Size = new System.Drawing.Size(421, 386);
-        this.plJobDetails.TabIndex = 1;
-        // 
-        // lvSnapshots
-        // 
-        this.lvSnapshots.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+      this.addToolStripMenuItem.Name = "addToolStripMenuItem";
+      this.addToolStripMenuItem.Size = new System.Drawing.Size(38, 20);
+      this.addToolStripMenuItem.Text = "Add";
+      // 
+      // jobToolStripMenuItem
+      // 
+      this.jobToolStripMenuItem.Name = "jobToolStripMenuItem";
+      this.jobToolStripMenuItem.Size = new System.Drawing.Size(102, 22);
+      this.jobToolStripMenuItem.Text = "Job";
+      this.jobToolStripMenuItem.Click += new System.EventHandler(this.AddJob_Click);
+      // 
+      // ilClientControl
+      // 
+      this.ilClientControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilClientControl.ImageStream")));
+      this.ilClientControl.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilClientControl.Images.SetKeyName(0, "monitor-green.png");
+      this.ilClientControl.Images.SetKeyName(1, "monitor-orange.png");
+      this.ilClientControl.Images.SetKeyName(2, "monitor-red.png");
+      this.ilClientControl.Images.SetKeyName(3, "monitor-gray.png");
+      // 
+      // ilJobControl
+      // 
+      this.ilJobControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilJobControl.ImageStream")));
+      this.ilJobControl.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilJobControl.Images.SetKeyName(0, "PlayHS.png");
+      // 
+      // ilUserControl
+      // 
+      this.ilUserControl.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilUserControl.ImageStream")));
+      this.ilUserControl.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilUserControl.Images.SetKeyName(0, "Users.png");
+      // 
+      // plClientDetails
+      // 
+      this.plClientDetails.BackColor = System.Drawing.SystemColors.Window;
+      this.plClientDetails.Controls.Add(this.lblState);
+      this.plClientDetails.Controls.Add(this.lblStateClient);
+      this.plClientDetails.Controls.Add(this.lblLogin);
+      this.plClientDetails.Controls.Add(this.lblLoginOn);
+      this.plClientDetails.Controls.Add(this.lblClientName);
+      this.plClientDetails.Controls.Add(this.pbClientControl);
+      this.plClientDetails.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.plClientDetails.Location = new System.Drawing.Point(0, 0);
+      this.plClientDetails.Name = "plClientDetails";
+      this.plClientDetails.Size = new System.Drawing.Size(421, 386);
+      this.plClientDetails.TabIndex = 1;
+      this.plClientDetails.Visible = false;
+      // 
+      // lblState
+      // 
+      this.lblState.AutoSize = true;
+      this.lblState.Location = new System.Drawing.Point(103, 76);
+      this.lblState.Name = "lblState";
+      this.lblState.Size = new System.Drawing.Size(42, 13);
+      this.lblState.TabIndex = 6;
+      this.lblState.Text = "lblState";
+      // 
+      // lblStateClient
+      // 
+      this.lblStateClient.AutoSize = true;
+      this.lblStateClient.Location = new System.Drawing.Point(29, 76);
+      this.lblStateClient.Name = "lblStateClient";
+      this.lblStateClient.Size = new System.Drawing.Size(32, 13);
+      this.lblStateClient.TabIndex = 5;
+      this.lblStateClient.Text = "State";
+      // 
+      // lblLogin
+      // 
+      this.lblLogin.AutoSize = true;
+      this.lblLogin.Location = new System.Drawing.Point(100, 55);
+      this.lblLogin.Name = "lblLogin";
+      this.lblLogin.Size = new System.Drawing.Size(43, 13);
+      this.lblLogin.TabIndex = 4;
+      this.lblLogin.Text = "lblLogin";
+      // 
+      // lblLoginOn
+      // 
+      this.lblLoginOn.AutoSize = true;
+      this.lblLoginOn.Location = new System.Drawing.Point(29, 55);
+      this.lblLoginOn.Name = "lblLoginOn";
+      this.lblLoginOn.Size = new System.Drawing.Size(69, 13);
+      this.lblLoginOn.TabIndex = 3;
+      this.lblLoginOn.Text = "last logged in";
+      // 
+      // lblClientName
+      // 
+      this.lblClientName.AutoSize = true;
+      this.lblClientName.Location = new System.Drawing.Point(41, 14);
+      this.lblClientName.Name = "lblClientName";
+      this.lblClientName.Size = new System.Drawing.Size(71, 13);
+      this.lblClientName.TabIndex = 2;
+      this.lblClientName.Text = "lblClientName";
+      // 
+      // pbClientControl
+      // 
+      this.pbClientControl.Location = new System.Drawing.Point(3, 4);
+      this.pbClientControl.Name = "pbClientControl";
+      this.pbClientControl.Size = new System.Drawing.Size(32, 32);
+      this.pbClientControl.TabIndex = 0;
+      this.pbClientControl.TabStop = false;
+      // 
+      // plUserDetails
+      // 
+      this.plUserDetails.BackColor = System.Drawing.SystemColors.Window;
+      this.plUserDetails.Controls.Add(this.lblUserName);
+      this.plUserDetails.Controls.Add(this.btnUserControlClose);
+      this.plUserDetails.Controls.Add(this.pbUserControl);
+      this.plUserDetails.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.plUserDetails.Location = new System.Drawing.Point(0, 0);
+      this.plUserDetails.Name = "plUserDetails";
+      this.plUserDetails.Size = new System.Drawing.Size(494, 346);
+      this.plUserDetails.TabIndex = 2;
+      // 
+      // lblUserName
+      // 
+      this.lblUserName.AutoSize = true;
+      this.lblUserName.Location = new System.Drawing.Point(41, 13);
+      this.lblUserName.Name = "lblUserName";
+      this.lblUserName.Size = new System.Drawing.Size(67, 13);
+      this.lblUserName.TabIndex = 5;
+      this.lblUserName.Text = "lblUserName";
+      // 
+      // btnUserControlClose
+      // 
+      this.btnUserControlClose.Location = new System.Drawing.Point(414, 3);
+      this.btnUserControlClose.Name = "btnUserControlClose";
+      this.btnUserControlClose.Size = new System.Drawing.Size(75, 23);
+      this.btnUserControlClose.TabIndex = 4;
+      this.btnUserControlClose.Text = "Close";
+      this.btnUserControlClose.UseVisualStyleBackColor = true;
+      // 
+      // pbUserControl
+      // 
+      this.pbUserControl.Location = new System.Drawing.Point(3, 3);
+      this.pbUserControl.Name = "pbUserControl";
+      this.pbUserControl.Size = new System.Drawing.Size(32, 32);
+      this.pbUserControl.TabIndex = 3;
+      this.pbUserControl.TabStop = false;
+      // 
+      // plJobDetails
+      // 
+      this.plJobDetails.BackColor = System.Drawing.SystemColors.Window;
+      this.plJobDetails.Controls.Add(this.lvSnapshots);
+      this.plJobDetails.Controls.Add(this.lblPriorityJob);
+      this.plJobDetails.Controls.Add(this.lblParentJob);
+      this.plJobDetails.Controls.Add(this.lblClientCalculating);
+      this.plJobDetails.Controls.Add(this.lblJobCalculationEnd);
+      this.plJobDetails.Controls.Add(this.lblJobCalculationBegin);
+      this.plJobDetails.Controls.Add(this.lblJobCreated);
+      this.plJobDetails.Controls.Add(this.lblUserCreatedJob);
+      this.plJobDetails.Controls.Add(this.lblProgress);
+      this.plJobDetails.Controls.Add(this.lblStatus);
+      this.plJobDetails.Controls.Add(this.progressJob);
+      this.plJobDetails.Controls.Add(this.lblJobName);
+      this.plJobDetails.Controls.Add(this.pbJobControl);
+      this.plJobDetails.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.plJobDetails.Location = new System.Drawing.Point(0, 0);
+      this.plJobDetails.Name = "plJobDetails";
+      this.plJobDetails.Size = new System.Drawing.Size(421, 386);
+      this.plJobDetails.TabIndex = 1;
+      this.plJobDetails.Visible = false;
+      // 
+      // lvSnapshots
+      // 
+      this.lvSnapshots.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
             this.chJobId,
             this.chTimeCalculated,
             this.chProgress});
-        this.lvSnapshots.Enabled = false;
-        this.lvSnapshots.FullRowSelect = true;
-        this.lvSnapshots.GridLines = true;
-        this.lvSnapshots.Location = new System.Drawing.Point(17, 275);
-        this.lvSnapshots.Name = "lvSnapshots";
-        this.lvSnapshots.Size = new System.Drawing.Size(382, 70);
-        this.lvSnapshots.TabIndex = 16;
-        this.lvSnapshots.UseCompatibleStateImageBehavior = false;
-        this.lvSnapshots.View = System.Windows.Forms.View.Details;
-        // 
-        // chJobId
-        // 
-        this.chJobId.Text = "Job-ID";
-        // 
-        // chTimeCalculated
-        // 
-        this.chTimeCalculated.Text = "Calculated At";
-        // 
-        // chProgress
-        // 
-        this.chProgress.Text = "Progress";
-        // 
-        // lblPriorityJob
-        // 
-        this.lblPriorityJob.AutoSize = true;
-        this.lblPriorityJob.Location = new System.Drawing.Point(17, 207);
-        this.lblPriorityJob.Name = "lblPriorityJob";
-        this.lblPriorityJob.Size = new System.Drawing.Size(65, 13);
-        this.lblPriorityJob.TabIndex = 15;
-        this.lblPriorityJob.Text = "lblPriorityJob";
-        // 
-        // lblParentJob
-        // 
-        this.lblParentJob.AutoSize = true;
-        this.lblParentJob.Location = new System.Drawing.Point(17, 182);
-        this.lblParentJob.Name = "lblParentJob";
-        this.lblParentJob.Size = new System.Drawing.Size(65, 13);
-        this.lblParentJob.TabIndex = 14;
-        this.lblParentJob.Text = "lblParentJob";
-        // 
-        // lblClientCalculating
-        // 
-        this.lblClientCalculating.AutoSize = true;
-        this.lblClientCalculating.Location = new System.Drawing.Point(17, 284);
-        this.lblClientCalculating.Name = "lblClientCalculating";
-        this.lblClientCalculating.Size = new System.Drawing.Size(95, 13);
-        this.lblClientCalculating.TabIndex = 13;
-        this.lblClientCalculating.Text = "lblClientCalculating";
-        // 
-        // lblJobCalculationEnd
-        // 
-        this.lblJobCalculationEnd.AutoSize = true;
-        this.lblJobCalculationEnd.Location = new System.Drawing.Point(17, 257);
-        this.lblJobCalculationEnd.Name = "lblJobCalculationEnd";
-        this.lblJobCalculationEnd.Size = new System.Drawing.Size(105, 13);
-        this.lblJobCalculationEnd.TabIndex = 12;
-        this.lblJobCalculationEnd.Text = "lblJobCalculationEnd";
-        // 
-        // lblJobCalculationBegin
-        // 
-        this.lblJobCalculationBegin.AutoSize = true;
-        this.lblJobCalculationBegin.Location = new System.Drawing.Point(17, 233);
-        this.lblJobCalculationBegin.Name = "lblJobCalculationBegin";
-        this.lblJobCalculationBegin.Size = new System.Drawing.Size(113, 13);
-        this.lblJobCalculationBegin.TabIndex = 11;
-        this.lblJobCalculationBegin.Text = "lblJobCalculationBegin";
-        // 
-        // lblJobCreated
-        // 
-        this.lblJobCreated.AutoSize = true;
-        this.lblJobCreated.Location = new System.Drawing.Point(17, 157);
-        this.lblJobCreated.Name = "lblJobCreated";
-        this.lblJobCreated.Size = new System.Drawing.Size(71, 13);
-        this.lblJobCreated.TabIndex = 10;
-        this.lblJobCreated.Text = "lblJobCreated";
-        // 
-        // lblUserCreatedJob
-        // 
-        this.lblUserCreatedJob.AutoSize = true;
-        this.lblUserCreatedJob.Location = new System.Drawing.Point(17, 135);
-        this.lblUserCreatedJob.Name = "lblUserCreatedJob";
-        this.lblUserCreatedJob.Size = new System.Drawing.Size(93, 13);
-        this.lblUserCreatedJob.TabIndex = 9;
-        this.lblUserCreatedJob.Text = "lblUserCreatedJob";
-        // 
-        // lblProgress
-        // 
-        this.lblProgress.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-        this.lblProgress.BackColor = System.Drawing.Color.Transparent;
-        this.lblProgress.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
-        this.lblProgress.Location = new System.Drawing.Point(256, 108);
-        this.lblProgress.Name = "lblProgress";
-        this.lblProgress.Size = new System.Drawing.Size(143, 13);
-        this.lblProgress.TabIndex = 8;
-        this.lblProgress.Text = "lblProgress";
-        this.lblProgress.TextAlign = System.Drawing.ContentAlignment.TopRight;
-        // 
-        // lblStatus
-        // 
-        this.lblStatus.AutoSize = true;
-        this.lblStatus.BackColor = System.Drawing.Color.Transparent;
-        this.lblStatus.Location = new System.Drawing.Point(14, 55);
-        this.lblStatus.Name = "lblStatus";
-        this.lblStatus.Size = new System.Drawing.Size(88, 13);
-        this.lblStatus.TabIndex = 7;
-        this.lblStatus.Text = "Statusinformation";
-        // 
-        // progressJob
-        // 
-        this.progressJob.Location = new System.Drawing.Point(17, 73);
-        this.progressJob.Name = "progressJob";
-        this.progressJob.Size = new System.Drawing.Size(382, 23);
-        this.progressJob.TabIndex = 6;
-        // 
-        // lblJobName
-        // 
-        this.lblJobName.AutoSize = true;
-        this.lblJobName.Location = new System.Drawing.Point(41, 13);
-        this.lblJobName.Name = "lblJobName";
-        this.lblJobName.Size = new System.Drawing.Size(62, 13);
-        this.lblJobName.TabIndex = 5;
-        this.lblJobName.Text = "lblJobName";
-        // 
-        // pbJobControl
-        // 
-        this.pbJobControl.Location = new System.Drawing.Point(3, 3);
-        this.pbJobControl.Name = "pbJobControl";
-        this.pbJobControl.Size = new System.Drawing.Size(32, 32);
-        this.pbJobControl.TabIndex = 3;
-        this.pbJobControl.TabStop = false;
-        // 
-        // treeView2
-        // 
-        this.treeView2.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.treeView2.LineColor = System.Drawing.Color.Empty;
-        this.treeView2.Location = new System.Drawing.Point(0, 0);
-        this.treeView2.Name = "treeView2";
-        this.treeView2.Size = new System.Drawing.Size(139, 346);
-        this.treeView2.TabIndex = 0;
-        // 
-        // listView2
-        // 
-        this.listView2.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.listView2.Location = new System.Drawing.Point(0, 0);
-        this.listView2.Name = "listView2";
-        this.listView2.Size = new System.Drawing.Size(494, 346);
-        this.listView2.TabIndex = 0;
-        this.listView2.UseCompatibleStateImageBehavior = false;
-        // 
-        // timerSyncronize
-        // 
-        this.timerSyncronize.Interval = 10000;
-        this.timerSyncronize.Tick += new System.EventHandler(this.TickSync);
-        // 
-        // fileSystemWatcher1
-        // 
-        this.fileSystemWatcher1.EnableRaisingEvents = true;
-        this.fileSystemWatcher1.SynchronizingObject = this;
-        // 
-        // updaterWoker
-        // 
-        this.updaterWoker.DoWork += new System.ComponentModel.DoWorkEventHandler(this.updaterWoker_DoWork);
-        this.updaterWoker.RunWorkerCompleted += new System.ComponentModel.RunWorkerCompletedEventHandler(this.updaterWoker_RunWorkerCompleted);
-        // 
-        // tpJobControl
-        // 
-        this.tpJobControl.Controls.Add(this.scJobControl);
-        this.tpJobControl.Location = new System.Drawing.Point(4, 22);
-        this.tpJobControl.Name = "tpJobControl";
-        this.tpJobControl.Padding = new System.Windows.Forms.Padding(3);
-        this.tpJobControl.Size = new System.Drawing.Size(885, 392);
-        this.tpJobControl.TabIndex = 1;
-        this.tpJobControl.Text = "Job Control";
-        this.tpJobControl.UseVisualStyleBackColor = true;
-        // 
-        // scJobControl
-        // 
-        this.scJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.scJobControl.Location = new System.Drawing.Point(3, 3);
-        this.scJobControl.Name = "scJobControl";
-        // 
-        // scJobControl.Panel1
-        // 
-        this.scJobControl.Panel1.Controls.Add(this.lvJobControl);
-        // 
-        // scJobControl.Panel2
-        // 
-        this.scJobControl.Panel2.Controls.Add(this.plJobDetails);
-        this.scJobControl.Size = new System.Drawing.Size(879, 386);
-        this.scJobControl.SplitterDistance = 454;
-        this.scJobControl.TabIndex = 0;
-        // 
-        // lvJobControl
-        // 
-        this.lvJobControl.AllowDrop = true;
-        this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.lvJobControl.LargeImageList = this.ilJobControl;
-        this.lvJobControl.Location = new System.Drawing.Point(0, 0);
-        this.lvJobControl.MultiSelect = false;
-        this.lvJobControl.Name = "lvJobControl";
-        this.lvJobControl.Size = new System.Drawing.Size(454, 386);
-        this.lvJobControl.TabIndex = 0;
-        this.lvJobControl.UseCompatibleStateImageBehavior = false;
-        this.lvJobControl.MouseMove += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseMove);
-        this.lvJobControl.Click += new System.EventHandler(this.OnLVJobControlClicked);
-        // 
-        // tpClientControl
-        // 
-        this.tpClientControl.AllowDrop = true;
-        this.tpClientControl.Controls.Add(this.scClientControl);
-        this.tpClientControl.Location = new System.Drawing.Point(4, 22);
-        this.tpClientControl.Name = "tpClientControl";
-        this.tpClientControl.Padding = new System.Windows.Forms.Padding(3);
-        this.tpClientControl.Size = new System.Drawing.Size(885, 392);
-        this.tpClientControl.TabIndex = 0;
-        this.tpClientControl.Text = "Client Control";
-        this.tpClientControl.UseVisualStyleBackColor = true;
-        // 
-        // scClientControl
-        // 
-        this.scClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.scClientControl.Location = new System.Drawing.Point(3, 3);
-        this.scClientControl.Name = "scClientControl";
-        // 
-        // scClientControl.Panel1
-        // 
-        this.scClientControl.Panel1.Controls.Add(this.lvClientControl);
-        // 
-        // scClientControl.Panel2
-        // 
-        this.scClientControl.Panel2.Controls.Add(this.plClientDetails);
-        this.scClientControl.Size = new System.Drawing.Size(879, 386);
-        this.scClientControl.SplitterDistance = 454;
-        this.scClientControl.TabIndex = 0;
-        // 
-        // lvClientControl
-        // 
-        this.lvClientControl.AllowDrop = true;
-        this.lvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.lvClientControl.ImeMode = System.Windows.Forms.ImeMode.Off;
-        this.lvClientControl.LargeImageList = this.ilClientControl;
-        this.lvClientControl.Location = new System.Drawing.Point(0, 0);
-        this.lvClientControl.MultiSelect = false;
-        this.lvClientControl.Name = "lvClientControl";
-        this.lvClientControl.Size = new System.Drawing.Size(454, 386);
-        this.lvClientControl.TabIndex = 0;
-        this.lvClientControl.UseCompatibleStateImageBehavior = false;
-        this.lvClientControl.Click += new System.EventHandler(this.OnLVClientClicked);
-        // 
-        // tcManagementConsole
-        // 
-        this.tcManagementConsole.Controls.Add(this.tpClientControl);
-        this.tcManagementConsole.Controls.Add(this.tpJobControl);
-        this.tcManagementConsole.Dock = System.Windows.Forms.DockStyle.Fill;
-        this.tcManagementConsole.Location = new System.Drawing.Point(0, 24);
-        this.tcManagementConsole.Name = "tcManagementConsole";
-        this.tcManagementConsole.SelectedIndex = 0;
-        this.tcManagementConsole.Size = new System.Drawing.Size(893, 418);
-        this.tcManagementConsole.TabIndex = 1;
-        // 
-        // checkBox1
-        // 
-        this.checkBox1.AutoSize = true;
-        this.checkBox1.Location = new System.Drawing.Point(149, 114);
-        this.checkBox1.Name = "checkBox1";
-        this.checkBox1.Size = new System.Drawing.Size(80, 17);
-        this.checkBox1.TabIndex = 0;
-        this.checkBox1.Text = "checkBox1";
-        this.checkBox1.UseVisualStyleBackColor = true;
-        // 
-        // HiveServerManagementConsole
-        // 
-        this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-        this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-        this.ClientSize = new System.Drawing.Size(893, 442);
-        this.Controls.Add(this.tcManagementConsole);
-        this.Controls.Add(this.menuStrip1);
-        this.MainMenuStrip = this.menuStrip1;
-        this.Name = "HiveServerManagementConsole";
-        this.Text = "Management Console";
-        this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.HiveServerConsoleInformation_FormClosing);
-        this.menuStrip1.ResumeLayout(false);
-        this.menuStrip1.PerformLayout();
-        this.plClientDetails.ResumeLayout(false);
-        this.plClientDetails.PerformLayout();
-        ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).EndInit();
-        this.plUserDetails.ResumeLayout(false);
-        this.plUserDetails.PerformLayout();
-        ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).EndInit();
-        this.plJobDetails.ResumeLayout(false);
-        this.plJobDetails.PerformLayout();
-        ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).EndInit();
-        ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).EndInit();
-        this.tpJobControl.ResumeLayout(false);
-        this.scJobControl.Panel1.ResumeLayout(false);
-        this.scJobControl.Panel2.ResumeLayout(false);
-        this.scJobControl.ResumeLayout(false);
-        this.tpClientControl.ResumeLayout(false);
-        this.scClientControl.Panel1.ResumeLayout(false);
-        this.scClientControl.Panel2.ResumeLayout(false);
-        this.scClientControl.ResumeLayout(false);
-        this.tcManagementConsole.ResumeLayout(false);
-        this.ResumeLayout(false);
-        this.PerformLayout();
+      this.lvSnapshots.Enabled = false;
+      this.lvSnapshots.FullRowSelect = true;
+      this.lvSnapshots.GridLines = true;
+      this.lvSnapshots.Location = new System.Drawing.Point(17, 269);
+      this.lvSnapshots.Name = "lvSnapshots";
+      this.lvSnapshots.Size = new System.Drawing.Size(382, 102);
+      this.lvSnapshots.TabIndex = 16;
+      this.lvSnapshots.UseCompatibleStateImageBehavior = false;
+      this.lvSnapshots.View = System.Windows.Forms.View.Details;
+      // 
+      // chJobId
+      // 
+      this.chJobId.Text = "Job-ID";
+      // 
+      // chTimeCalculated
+      // 
+      this.chTimeCalculated.Text = "Calculated At";
+      // 
+      // chProgress
+      // 
+      this.chProgress.Text = "Progress";
+      // 
+      // lblPriorityJob
+      // 
+      this.lblPriorityJob.AutoSize = true;
+      this.lblPriorityJob.Location = new System.Drawing.Point(17, 193);
+      this.lblPriorityJob.Name = "lblPriorityJob";
+      this.lblPriorityJob.Size = new System.Drawing.Size(65, 13);
+      this.lblPriorityJob.TabIndex = 15;
+      this.lblPriorityJob.Text = "lblPriorityJob";
+      // 
+      // lblParentJob
+      // 
+      this.lblParentJob.AutoSize = true;
+      this.lblParentJob.Location = new System.Drawing.Point(17, 173);
+      this.lblParentJob.Name = "lblParentJob";
+      this.lblParentJob.Size = new System.Drawing.Size(65, 13);
+      this.lblParentJob.TabIndex = 14;
+      this.lblParentJob.Text = "lblParentJob";
+      // 
+      // lblClientCalculating
+      // 
+      this.lblClientCalculating.AutoSize = true;
+      this.lblClientCalculating.Location = new System.Drawing.Point(17, 253);
+      this.lblClientCalculating.Name = "lblClientCalculating";
+      this.lblClientCalculating.Size = new System.Drawing.Size(95, 13);
+      this.lblClientCalculating.TabIndex = 13;
+      this.lblClientCalculating.Text = "lblClientCalculating";
+      // 
+      // lblJobCalculationEnd
+      // 
+      this.lblJobCalculationEnd.AutoSize = true;
+      this.lblJobCalculationEnd.Location = new System.Drawing.Point(17, 233);
+      this.lblJobCalculationEnd.Name = "lblJobCalculationEnd";
+      this.lblJobCalculationEnd.Size = new System.Drawing.Size(105, 13);
+      this.lblJobCalculationEnd.TabIndex = 12;
+      this.lblJobCalculationEnd.Text = "lblJobCalculationEnd";
+      // 
+      // lblJobCalculationBegin
+      // 
+      this.lblJobCalculationBegin.AutoSize = true;
+      this.lblJobCalculationBegin.Location = new System.Drawing.Point(17, 213);
+      this.lblJobCalculationBegin.Name = "lblJobCalculationBegin";
+      this.lblJobCalculationBegin.Size = new System.Drawing.Size(113, 13);
+      this.lblJobCalculationBegin.TabIndex = 11;
+      this.lblJobCalculationBegin.Text = "lblJobCalculationBegin";
+      // 
+      // lblJobCreated
+      // 
+      this.lblJobCreated.AutoSize = true;
+      this.lblJobCreated.Location = new System.Drawing.Point(17, 152);
+      this.lblJobCreated.Name = "lblJobCreated";
+      this.lblJobCreated.Size = new System.Drawing.Size(71, 13);
+      this.lblJobCreated.TabIndex = 10;
+      this.lblJobCreated.Text = "lblJobCreated";
+      // 
+      // lblUserCreatedJob
+      // 
+      this.lblUserCreatedJob.AutoSize = true;
+      this.lblUserCreatedJob.Location = new System.Drawing.Point(17, 132);
+      this.lblUserCreatedJob.Name = "lblUserCreatedJob";
+      this.lblUserCreatedJob.Size = new System.Drawing.Size(93, 13);
+      this.lblUserCreatedJob.TabIndex = 9;
+      this.lblUserCreatedJob.Text = "lblUserCreatedJob";
+      // 
+      // lblProgress
+      // 
+      this.lblProgress.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.lblProgress.BackColor = System.Drawing.Color.Transparent;
+      this.lblProgress.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
+      this.lblProgress.Location = new System.Drawing.Point(256, 108);
+      this.lblProgress.Name = "lblProgress";
+      this.lblProgress.Size = new System.Drawing.Size(143, 13);
+      this.lblProgress.TabIndex = 8;
+      this.lblProgress.Text = "lblProgress";
+      this.lblProgress.TextAlign = System.Drawing.ContentAlignment.TopRight;
+      // 
+      // lblStatus
+      // 
+      this.lblStatus.AutoSize = true;
+      this.lblStatus.BackColor = System.Drawing.Color.Transparent;
+      this.lblStatus.Location = new System.Drawing.Point(14, 55);
+      this.lblStatus.Name = "lblStatus";
+      this.lblStatus.Size = new System.Drawing.Size(88, 13);
+      this.lblStatus.TabIndex = 7;
+      this.lblStatus.Text = "Statusinformation";
+      // 
+      // progressJob
+      // 
+      this.progressJob.Location = new System.Drawing.Point(17, 73);
+      this.progressJob.Name = "progressJob";
+      this.progressJob.Size = new System.Drawing.Size(382, 23);
+      this.progressJob.TabIndex = 6;
+      // 
+      // lblJobName
+      // 
+      this.lblJobName.AutoSize = true;
+      this.lblJobName.Location = new System.Drawing.Point(41, 13);
+      this.lblJobName.Name = "lblJobName";
+      this.lblJobName.Size = new System.Drawing.Size(62, 13);
+      this.lblJobName.TabIndex = 5;
+      this.lblJobName.Text = "lblJobName";
+      // 
+      // pbJobControl
+      // 
+      this.pbJobControl.Location = new System.Drawing.Point(3, 3);
+      this.pbJobControl.Name = "pbJobControl";
+      this.pbJobControl.Size = new System.Drawing.Size(32, 32);
+      this.pbJobControl.TabIndex = 3;
+      this.pbJobControl.TabStop = false;
+      // 
+      // treeView2
+      // 
+      this.treeView2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.treeView2.LineColor = System.Drawing.Color.Empty;
+      this.treeView2.Location = new System.Drawing.Point(0, 0);
+      this.treeView2.Name = "treeView2";
+      this.treeView2.Size = new System.Drawing.Size(139, 346);
+      this.treeView2.TabIndex = 0;
+      // 
+      // listView2
+      // 
+      this.listView2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.listView2.Location = new System.Drawing.Point(0, 0);
+      this.listView2.Name = "listView2";
+      this.listView2.Size = new System.Drawing.Size(494, 346);
+      this.listView2.TabIndex = 0;
+      this.listView2.UseCompatibleStateImageBehavior = false;
+      // 
+      // timerSyncronize
+      // 
+      this.timerSyncronize.Interval = 10000;
+      this.timerSyncronize.Tick += new System.EventHandler(this.TickSync);
+      // 
+      // fileSystemWatcher1
+      // 
+      this.fileSystemWatcher1.EnableRaisingEvents = true;
+      this.fileSystemWatcher1.SynchronizingObject = this;
+      // 
+      // updaterWoker
+      // 
+      this.updaterWoker.DoWork += new System.ComponentModel.DoWorkEventHandler(this.updaterWoker_DoWork);
+      this.updaterWoker.RunWorkerCompleted += new System.ComponentModel.RunWorkerCompletedEventHandler(this.updaterWoker_RunWorkerCompleted);
+      // 
+      // tpJobControl
+      // 
+      this.tpJobControl.Controls.Add(this.scJobControl);
+      this.tpJobControl.Location = new System.Drawing.Point(4, 22);
+      this.tpJobControl.Name = "tpJobControl";
+      this.tpJobControl.Padding = new System.Windows.Forms.Padding(3);
+      this.tpJobControl.Size = new System.Drawing.Size(885, 392);
+      this.tpJobControl.TabIndex = 1;
+      this.tpJobControl.Text = "Job Control";
+      this.tpJobControl.UseVisualStyleBackColor = true;
+      // 
+      // scJobControl
+      // 
+      this.scJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scJobControl.Location = new System.Drawing.Point(3, 3);
+      this.scJobControl.Name = "scJobControl";
+      // 
+      // scJobControl.Panel1
+      // 
+      this.scJobControl.Panel1.Controls.Add(this.lvJobControl);
+      // 
+      // scJobControl.Panel2
+      // 
+      this.scJobControl.Panel2.Controls.Add(this.plJobDetails);
+      this.scJobControl.Size = new System.Drawing.Size(879, 386);
+      this.scJobControl.SplitterDistance = 454;
+      this.scJobControl.TabIndex = 0;
+      // 
+      // lvJobControl
+      // 
+      this.lvJobControl.AllowDrop = true;
+      this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvJobControl.LargeImageList = this.ilJobControl;
+      this.lvJobControl.Location = new System.Drawing.Point(0, 0);
+      this.lvJobControl.MultiSelect = false;
+      this.lvJobControl.Name = "lvJobControl";
+      this.lvJobControl.Size = new System.Drawing.Size(454, 386);
+      this.lvJobControl.TabIndex = 0;
+      this.lvJobControl.UseCompatibleStateImageBehavior = false;
+      this.lvJobControl.MouseMove += new System.Windows.Forms.MouseEventHandler(this.lvJobControl_MouseMove);
+      this.lvJobControl.Click += new System.EventHandler(this.OnLVJobControlClicked);
+      // 
+      // tpClientControl
+      // 
+      this.tpClientControl.AllowDrop = true;
+      this.tpClientControl.Controls.Add(this.scClientControl);
+      this.tpClientControl.Location = new System.Drawing.Point(4, 22);
+      this.tpClientControl.Name = "tpClientControl";
+      this.tpClientControl.Padding = new System.Windows.Forms.Padding(3);
+      this.tpClientControl.Size = new System.Drawing.Size(885, 392);
+      this.tpClientControl.TabIndex = 0;
+      this.tpClientControl.Text = "Client Control";
+      this.tpClientControl.UseVisualStyleBackColor = true;
+      // 
+      // scClientControl
+      // 
+      this.scClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.scClientControl.Location = new System.Drawing.Point(3, 3);
+      this.scClientControl.Name = "scClientControl";
+      // 
+      // scClientControl.Panel1
+      // 
+      this.scClientControl.Panel1.Controls.Add(this.lvClientControl);
+      // 
+      // scClientControl.Panel2
+      // 
+      this.scClientControl.Panel2.Controls.Add(this.plClientDetails);
+      this.scClientControl.Size = new System.Drawing.Size(879, 386);
+      this.scClientControl.SplitterDistance = 454;
+      this.scClientControl.TabIndex = 0;
+      // 
+      // lvClientControl
+      // 
+      this.lvClientControl.AllowDrop = true;
+      this.lvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.lvClientControl.ImeMode = System.Windows.Forms.ImeMode.Off;
+      this.lvClientControl.LargeImageList = this.ilClientControl;
+      this.lvClientControl.Location = new System.Drawing.Point(0, 0);
+      this.lvClientControl.MultiSelect = false;
+      this.lvClientControl.Name = "lvClientControl";
+      this.lvClientControl.Size = new System.Drawing.Size(454, 386);
+      this.lvClientControl.TabIndex = 0;
+      this.lvClientControl.UseCompatibleStateImageBehavior = false;
+      this.lvClientControl.Click += new System.EventHandler(this.OnLVClientClicked);
+      // 
+      // tcManagementConsole
+      // 
+      this.tcManagementConsole.Controls.Add(this.tpClientControl);
+      this.tcManagementConsole.Controls.Add(this.tpJobControl);
+      this.tcManagementConsole.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tcManagementConsole.Location = new System.Drawing.Point(0, 24);
+      this.tcManagementConsole.Name = "tcManagementConsole";
+      this.tcManagementConsole.SelectedIndex = 0;
+      this.tcManagementConsole.Size = new System.Drawing.Size(893, 418);
+      this.tcManagementConsole.TabIndex = 1;
+      // 
+      // checkBox1
+      // 
+      this.checkBox1.AutoSize = true;
+      this.checkBox1.Location = new System.Drawing.Point(149, 114);
+      this.checkBox1.Name = "checkBox1";
+      this.checkBox1.Size = new System.Drawing.Size(80, 17);
+      this.checkBox1.TabIndex = 0;
+      this.checkBox1.Text = "checkBox1";
+      this.checkBox1.UseVisualStyleBackColor = true;
+      // 
+      // HiveServerManagementConsole
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(893, 442);
+      this.Controls.Add(this.tcManagementConsole);
+      this.Controls.Add(this.menuStrip1);
+      this.MainMenuStrip = this.menuStrip1;
+      this.Name = "HiveServerManagementConsole";
+      this.Text = "Management Console";
+      this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.HiveServerConsoleInformation_FormClosing);
+      this.menuStrip1.ResumeLayout(false);
+      this.menuStrip1.PerformLayout();
+      this.plClientDetails.ResumeLayout(false);
+      this.plClientDetails.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbClientControl)).EndInit();
+      this.plUserDetails.ResumeLayout(false);
+      this.plUserDetails.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbUserControl)).EndInit();
+      this.plJobDetails.ResumeLayout(false);
+      this.plJobDetails.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pbJobControl)).EndInit();
+      ((System.ComponentModel.ISupportInitialize)(this.fileSystemWatcher1)).EndInit();
+      this.tpJobControl.ResumeLayout(false);
+      this.scJobControl.Panel1.ResumeLayout(false);
+      this.scJobControl.Panel2.ResumeLayout(false);
+      this.scJobControl.ResumeLayout(false);
+      this.tpClientControl.ResumeLayout(false);
+      this.scClientControl.Panel1.ResumeLayout(false);
+      this.scClientControl.Panel2.ResumeLayout(false);
+      this.scClientControl.ResumeLayout(false);
+      this.tcManagementConsole.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
 
     }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1511)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.cs	(revision 1512)
@@ -79,4 +79,9 @@
     }
 
+
+    private int CapacityRam(int noCores, int freeCores) {
+      return (((noCores - freeCores) / noCores) * 100); 
+    }
+
     /// <summary>
     /// Adds clients to ListView and TreeView
@@ -91,5 +96,4 @@
         clients = clientManager.GetAllClientGroups();
         lvClientControl.Items.Clear();
-        int count = 0;
         List<Guid> inGroup = new List<Guid>();
         foreach (ClientGroup cg in clients.List) {
@@ -100,10 +104,19 @@
               item = new ListViewItem(ci.Name, 3, lvg);
             } else {
-              item = new ListViewItem(ci.Name, count, lvg);
+                            int percentageUsage = CapacityRam(ci.NrOfCores, ci.NrOfFreeCores);
+              int usage = 0;
+              if ((percentageUsage >= 0) && (percentageUsage <= 25)) {
+                usage = 0;
+              } else if ((percentageUsage > 25) && (percentageUsage <= 75)) {
+                usage = 1;
+              } else if ((percentageUsage > 75) && (percentageUsage <= 100)) {
+                usage = 2;
+              }
+
+              item = new ListViewItem(ci.Name, usage, lvg);
             }
             item.Tag = ci.Id;
             lvClientControl.Items.Add(item);
             clientInfoObjects.Add(ci.Id, item);
-            count = (count + 1) % 3;
             inGroup.Add(ci.Id);
 
@@ -130,9 +143,17 @@
               item = new ListViewItem(ci.Name, 3, lvunsorted);
             } else {
-              item = new ListViewItem(ci.Name, count, lvunsorted);
+              int percentageUsage = CapacityRam(ci.NrOfCores, ci.NrOfFreeCores);
+              int usage = 0;
+              if ((percentageUsage >= 0) && (percentageUsage <= 25)) {
+                usage = 0;
+              } else if ((percentageUsage > 25) && (percentageUsage <= 75)) {
+                usage = 1;
+              } else if ((percentageUsage > 75) && (percentageUsage <= 100)) {
+                usage = 2;
+              }
+              item = new ListViewItem(ci.Name, usage, lvunsorted);
             }
             item.Tag = ci.Id;
             lvClientControl.Items.Add(item);
-            count = (count + 1) % 3;
           }
         }
@@ -213,4 +234,5 @@
     /// </summary>
     private void ClientClicked() {
+      plClientDetails.Visible = true;
       int i = 0;
       while (clientInfo.List[i].Id.ToString() != nameCurrentClient) {
@@ -218,5 +240,16 @@
       }
       currentClient = clientInfo.List[i];
-      pbClientControl.Image = ilClientControl.Images[0];
+      int percentageUsage = CapacityRam(currentClient.NrOfCores, currentClient.NrOfFreeCores);
+      int usage = 3;
+      if ((currentClient.State != State.offline) && (currentClient.State != State.nullState)) {
+        if ((percentageUsage >= 0) && (percentageUsage <= 25)) {
+          usage = 0;
+        } else if ((percentageUsage > 25) && (percentageUsage <= 75)) {
+          usage = 1;
+        } else if ((percentageUsage > 75) && (percentageUsage <= 100)) {
+          usage = 2;
+        }
+      }
+      pbClientControl.Image = ilClientControl.Images[usage];
       lblClientName.Text = currentClient.Name;
       lblLogin.Text = currentClient.Login.ToString();
@@ -228,9 +261,10 @@
     /// </summary>
     private void JobClicked() {
+      plJobDetails.Visible = true;
       int i = 0;
       while (jobs.List[i].Id.ToString() != nameCurrentJob) {
         i++;
       }
-      lvSnapshots.Enabled = false;
+      lvSnapshots.Enabled = true;
       currentJob = jobs.List[i];
       pbJobControl.Image = ilJobControl.Images[0];
@@ -262,7 +296,7 @@
       }
       if (currentJob.State != State.offline) {
-        lvSnapshots.Enabled = true;
+        lvSnapshots.Visible = true;
       } else {
-        lvSnapshots.Enabled = false;
+        lvSnapshots.Visible = false;
       }
     }
@@ -329,8 +363,16 @@
             State state = clientInfo.List[change.Position].State;
             System.Diagnostics.Debug.WriteLine(lvClientControl.Items[i].Text.ToString());
+            int percentageUsage = CapacityRam(currentClient.NrOfCores, currentClient.NrOfFreeCores);
             if ((state == State.offline) || (state == State.nullState)) {
               lvClientControl.Items[i].ImageIndex = 3;
             } else {
-              lvClientControl.Items[i].ImageIndex = 1;
+              if ((percentageUsage >= 0) && (percentageUsage <= 25)) {
+                lvClientControl.Items[i].ImageIndex = 0;
+              } else if ((percentageUsage > 25) && (percentageUsage <= 75)) {
+                lvClientControl.Items[i].ImageIndex = 1;
+              } else if ((percentageUsage > 75) && (percentageUsage <= 100)) {
+                lvClientControl.Items[i].ImageIndex = 2;
+              }
+
             }
             lvClientControl.Refresh();
@@ -497,5 +539,5 @@
           if (ci.Id.Equals(cio.Id)) {
             found = true;
-            if (ci.State != cio.State) {
+            if ((ci.State != cio.State) || (ci.NrOfFreeCores != ci.NrOfFreeCores)) {
               changes.Add(new Changes { Types = Type.Client, ID = ci.Id, ChangeType = Change.Update, Position = i });
             }
@@ -573,7 +615,6 @@
             found = true;
             if (job.State != State.offline) {
-              if (!IsEqual(job.Client, jobold.Client)) {
-                changes.Add(new Changes { Types = Type.Job, ID = job.Id, ChangeType = Change.Update, Position = i });
-              } else if (job.State != jobold.State) {
+              if ((!IsEqual(job.Client, jobold.Client)) || (job.State != jobold.State) 
+                   || (job.Percentage != jobold.Percentage)) {
                 changes.Add(new Changes { Types = Type.Job, ID = job.Id, ChangeType = Change.Update, Position = i });
               }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 1511)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/HiveServerManagementConsole.resx	(revision 1512)
@@ -129,5 +129,5 @@
         LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
         ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABo
-        FwAAAk1TRnQBSQFMAgEBBAEAAQwBAAEEAQABIAEAASABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
+        FwAAAk1TRnQBSQFMAgEBBAEAAQkBAAEEAQABIAEAASABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
         AwABgAMAAUADAAEBAQABCAYAASAYAAGAAgABgAMAAoABAAGAAwABgAEAAYABAAKAAgADwAEAAcAB3AHA
         AQAB8AHKAaYBAAEzBQABMwEAATMBAAEzAQACMwIAAxYBAAMcAQADIgEAAykBAANVAQADTQEAA0IBAAM5
